
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelN291BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelN291BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelN291BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelN291BulkExportMapper> mappers;

  public DefaultNlWasModelN291BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelN291BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
